jQuery(function ($) {
	$('body').on(
		'click',
		'.elementor-widget-author_mini_box .author-content .author-content-head',
		function (e) {
			e.preventDefault()

			var $currentItem = $(this).closest('.author-content')
			var $currentBody = $currentItem.find('.author-content-body')

			$('.elementor-widget-author_mini_box .author-content')
				.not($currentItem)
				.removeClass('active')
				.find('.author-content-body')
				.slideUp()

			$currentItem.toggleClass('active')
			$currentBody.stop(true, true).slideToggle()
		}
	)
})

jQuery(document).ready(function ($) {
	if ($('.partners-slider').length) {
		new Swiper('.partners-slider', {
			slidesPerView: 'auto',
			spaceBetween: 20,
			loop: true,
			speed: 1000,
			autoplay: {
				delay: 2500,
				disableOnInteraction: false,
			},
		})
	}
})

// jQuery(document).ready(function ($) {
// 	gsap.registerPlugin(ScrollTrigger)

// 	let scrollHeight = 150
// 	scrollHeight += $('.tiles-scroll-box').outerHeight(true)
// 	// $('.tiles-scroll').each(function () {
// 	// 	scrollHeight += $(this).outerHeight(true)
// 	// })

// 	const trigger = ScrollTrigger.create({
// 		trigger: '.box-custom-scroll',
// 		start: 'top top',
// 		end: `+=${scrollHeight}`,
// 		pin: false,
// 		scrub: false,
// 		markers: true,
// 		onEnter: () => console.log('ScrollTrigger стартував'),
// 		onLeave: () => console.log('ScrollTrigger закінчив'),
// 	})

// 	window.addEventListener('load', function () {
// 		ScrollTrigger.refresh()
// 	})
// })
